Bug 432433 - changes meaning of 'special_values_parser'
changes meaning of 'special_values_parser'
Product: Fedora
Classification: Fedora
Component: boost (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Benjamin Kosnik
Fedora Extras Quality Assurance
: 432611 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2008-02-11 19:15 EST by Patrice Dumas
Modified: 2013-08-09 01:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-13 12:03:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2008-02-11 19:15:24 EST
Description of problem:

When compiling gnash, I get:

In file included from /usr/include/boost/date_time/gregorian/gregorian_io.hpp:13,
                 from /usr/include/boost/date_time/gregorian/conversion.hpp:24,
                 from /usr/include/boost/date_time/gregorian/gregorian.hpp:22,
                 from /usr/include/boost/date_time/posix_time/posix_time.hpp:25,
                 from ../libamf/element.h:32,
                 from ../libamf/amf.h:31,
                 from FLVParser.cpp:24:
/usr/include/boost/date_time/date_facet.hpp:560: error: declaration of 'void
boost::date_time::date_input_facet<date_type, CharT,
InItrT>::special_values_parser(boost::date_time::special_values_parser<date_type, charT>)'
/usr/include/boost/date_time/special_values_parser.hpp:34: error: changes
meaning of 'special_values_parser' from 'class
boost::date_time::special_values_parser<date_type, charT>'
make[2]: *** [libgnashbase_la-FLVParser.lo] Erreur 1

Looks like a boost bug to me, showing up with gcc 4.3.0.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Petr Machata 2008-02-13 08:07:52 EST
*** Bug 432611 has been marked as a duplicate of this bug. ***
Comment 2 Petr Machata 2008-02-13 10:21:46 EST
I fixed what seems to be the culprit, new boost build is spinning:

But actually I was unable to reproduce your problem with gnash build.  There was
another GCC 4.3 related problem, which was trivially fixed with #include
<string.h>, and I had to BR kdelibs3; but other than that, the build passed:
Comment 3 Patrice Dumas 2008-02-13 10:29:40 EST
Sorry, I should have said that it is the cvs of gnash
(which should be released soon).
Comment 4 Petr Machata 2008-02-13 12:03:35 EST
I tried the CVS gnash, and the build passed with freshly built boost package. 
So this is fixed as far as I can tell.

(drago01@gmail.com): If the problem doesn't go away for you, feel free to reopen
the bug.

Note You need to log in before you can comment on or make changes to this bug.